curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/jobs/{job_external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"job_name": "Front End Developer",
"last_updated": "2021-01-21T17:32:28Z",
"job_family_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
"active": true,
"low_data_availability": false,
"custom_properties": [
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
],
"job_description": "The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications."
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Get Job
Get a Job by its external ID. This can for example be used to keep track of proper synchronisation between your system and the Skill Engine API.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique Job ID in your system, consisting of alphanumeric characters, hyphens and underscores.
Query Parameters
Additional entity attributes that will be included in the response body. This query parameter can be added multiple times to include more attributes.
custom_properties, job_description ["custom_properties"]
Response
OK
Default structure for Job.
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Name of the Job.
1 - 255"Front End Developer"
Timestamp of the last update to this entity.
"2021-01-21T17:32:28Z"
ID of the Job Family.
1 - 100"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
The Job will not be used in matching if active is false. This is useful when a Job is being phased out.
true
Flag indicating whether sufficient data is available for qualitative Skill inference for a given entity.
false
A list of properties for a given entity. Property values are either strings or numbers.
Show child attributes
Show child attributes
[
{
"property_name": "creation_date",
"property_value": "2020-03-07"
},
{
"property_name": "language",
"property_value": "de"
}
]
Description of the Job.
"The Front-End Developer is responsible for implementing visual elements that users interact with on the company's web applications."
Was this page helpful?